import { trigger, animate, style, transition, state } from '@angular/animations';

export function routerTransition() {
  return trigger('routerTransition', [
    state('void', style({position: 'fixed', width:'100%'}) ),
    state('*', style({position: 'fixed', width:'100%'}) ),
    transition(':enter', [  // before 2.1: transition('void => *', [
      style({transform: 'translateX(100%)'}),
      animate('0.5s ease-in-out', style({transform: 'translateX(0%)'}))
    ]),
    transition(':leave', [  // before 2.1: transition('* => void', [
      style({transform: 'translateX(0%)'}),
      animate('0.5s ease-in-out', style({transform: 'translateX(-100%)'}))
    ])
  ]);
}


export function hostStyle() {
    return {
        '[@routerTransition]': '',
        '[style.display]': '"block"',
    };
}
